Skip to main content
GET
/
api
/
v1
/
api-keys
List API keys
curl --request GET \
  --url https://api.uplint.dev/api/v1/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "status": "SUCCESS",
  "message": "<string>",
  "data": [
    {
      "api_key_id": "<string>",
      "name": "<string>",
      "key_prefix": "<string>",
      "scopes": [
        "upload"
      ],
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "last_used_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": 123,
    "total_pages": 123
  },
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Pass an API key or JWT token. API keys can be sent as Authorization: Bearer <key> or Authorization: <key>.

Query Parameters

page
integer
default:1

Page number.

Required range: x >= 1
page_size
integer
default:20

Items per page.

Required range: 1 <= x <= 100
status
enum<string>

Filter by key status.

Available options:
active,
disabled,
revoked

Response

Paginated list of API keys.

status
enum<string>
Available options:
SUCCESS
message
string
data
object[]
pagination
object
timestamp
string<date-time>